Retrieve CounterPricing - m3ter Documentation

Retrieve CounterPricing

cURL

curl --request GET
--url https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}
--header 'Authorization: Bearer '

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

"https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer " ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

    url := "https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}"

    req, _ := http.NewRequest("GET", url, nil)

    req.Header.Add("Authorization", "Bearer <token>")

    res, _ := http.DefaultClient.Do(req)

    defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

    fmt.Println(string(body))

}

Unirest (Java)

HttpResponse response = Unirest.get("https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}") .header("Authorization", "Bearer ") .asString();

Ruby

require 'uri' require 'net/http'

url = URI("https://api.m3ter.com/organizations/{orgId}/counterpricings/{id}")

http = Net::HTTP.new(url.host, url.port) http.use_ssl = true

request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer '

response = http.request(request) puts response.read_body

Response Codes

Response Example

{
  "id": "<string>",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "planId": "<string>",
  "planTemplateId": "<string>",
  "cumulative": true,
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "code": "<string>",
  "description": "<string>",
  "accountingProductId": "<string>",
  "pricingBands": [
    {
      "lowerLimit": 1,
      "fixedPrice": 123,
      "unitPrice": 123,
      "id": "<string>",
      "creditTypeId": "<string>"
    }
  ],
  "counterId": "<string>",
  "runningTotalBillInAdvance": true,
  "proRateRunningTotal": true,
  "proRateAdjustmentDebit": true,
  "proRateAdjustmentCredit": true
}

Authorization

Path Parameters

Response

Returns the CounterPricing data object.